package de.frankmuenster.mahoe.gui.utils;

import org.eclipse.swt.widgets.TabFolder;

import de.frankmuenster.mahoe.gui.controller.BshSettingsController;
import de.frankmuenster.mahoe.gui.controller.SettingsController;
import de.frankmuenster.mahoe.gui.parts.BshSettingsPart;
import de.willuhn.jameica.gui.util.TabGroup;

/**
 * @author Frank Mnster
 */
public class BshSettingsTabGroup extends AbstractSettingsTabGroup implements SettingsTabGroup<SettingsController> {

    /**
     * Erstellt einen BSK Schwbisch Hall-Einstellungs-Tab.
     *
     * @param tabFolder
     *            der SWT TabFolder in dem der Tab erstellt werden soll.
     */
    public BshSettingsTabGroup(final TabFolder tabFolder) {
        super(new BshSettingsController());
        final TabGroup tabGroup = new TabGroup(tabFolder, "BSK Schwbisch Hall"); //$NON-NLS-1$
        tabGroup.addPart(new BshSettingsPart((BshSettingsController) this.control));
    }
}
