/*******************************************************************************
 * Copyright 2015 - 2019 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/
package de.frankmuenster.mahoe.banks.bos.assistant;

import de.frankmuenster.mahoe.assistant.CreateInfo;

/**
 * Specific account create information for the Bank of Scotland
 * 
 * @author Frank Mnster
 */
public class BosCreateInfo extends CreateInfo {

    /**
     * Account number
     */
    private String accountNumber;

    /**
     * Login
     */
    private String login;

    /**
     * Standardkonstruktor
     */
    public BosCreateInfo() {

        super();
    }

    /**
     * @return the accountNumber
     */
    public String getAccountNumber() {

        return this.accountNumber;
    }

    /**
     * @return the login
     */
    public String getLogin() {

        return this.login;
    }

    /**
     * @param accountNumber
     *            the accountNumber to set
     */
    public void setAccountNumber(final String accountNumber) {

        this.accountNumber = accountNumber;
    }

    /**
     * @param login
     *            the login to set
     */
    public void setLogin(final String login) {

        this.login = login;
    }

}
